Bug 1258972 - Page refreshed during deployment step 1 leads to new deployment, changes not saved
Page refreshed during deployment step 1 leads to new deployment, changes not ...
Status: CLOSED WONTFIX
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity low
: ga
: 1.0
Assigned To: jmagen@redhat.com
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-11
  Show dependency treegraph
 
Reported: 2015-09-01 11:49 EDT by Antonin Pagac
Modified: 2016-04-29 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 07:10:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-09-01 11:49:33 EDT
Description of problem:
During the first step of RHCI deployment (the Satellite configuration step - 1A, 1B, 1C), if I refresh the page, it leads me to New Deployment page. It does not retain any information I submitted in any of the sub-steps. The deployment is not saved.
If I continue to step 2 and try to refresh page, it behaves as expected: my data are there and the page stays the same.

Version-Release number of selected component (if applicable):
rc4 - RHCI-6.0-RHEL-7-20150829.0-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Navigate to New Deployment page, click Select
2. Input any data in any of the steps 1A, 1B, 1C
3. Refresh the page

Actual results:
New Deployment page is displayed; all previously input data are lost; deployment is not saved

Expected results:
After hitting refresh, show current page - the one I refreshed; retain information from previous steps; save the deployment so that edit is possible

Additional info:
Comment 2 jmagen@redhat.com 2015-11-15 08:25:39 EST
This is a known issue and expected behavior and I don't think it's more fixing by creating a separate Local Storage adapter for a new deployment before it is persisted in the database. The amount of data entry that is not saved is only 
* name
* environment name
(org is defaulted)

That's about max 10 seconds of work if a user refreshes to re-enter.
Comment 3 John Matthews 2015-11-16 07:10:16 EST
Moving to CLOSED.

Note You need to log in before you can comment on or make changes to this bug.